import request from '../utils/request.js'

class WelfareMall extends request {

  /**
   * 获取订单
   */
  static getOrder(params) {
    return this.postRequest(`${this.BASE_URL}open/welfare-mall/order/get`, params);
  }

  /**
   * 取消订单
   */
  static cancelOrder(params) {
    return this.postRequest(`${this.BASE_URL}open/welfare-mall/order/cancel`, params);
  }

  /**
   * 订单列表
   */
  static getOrderList(params) {
    return this.postRequest(`${this.BASE_URL}open/welfare-mall/order/list`, params);
  }

    /**
   * 订单退款
   */
  static orderRefund(params) {
    return this.postRequest(`${this.BASE_URL}open/welfare-mall/order/refund`, params, true)
  }

}

export default WelfareMall